# 存款 URL

### <mark style="color:blue;">取得存款 URL</mark>

端點： `POST /getDepositUrl`

說明： 讀取存款頁面 URL，使用者可在此取得多種貨幣的地址。

請求參數：

<table><thead><tr><th width="159.47265625">參數</th><th width="154.46484375">類別</th><th width="86.7734375">需要</th><th>說明</th></tr></thead><tbody><tr><td>identifier</td><td>string</td><td>是</td><td>UserID 或類似識別碼 (identifier)</td></tr><tr><td>referenceId</td><td>string</td><td>否</td><td>可選的參考 ID 用於識別存款訂單</td></tr><tr><td>receiveCurrencies</td><td><a href="/pages/c35iHMSo4AboYEnSSpOA#huo-bi">Currency</a>[]</td><td>否</td><td>要顯示的貨幣陣列（例如，<code>['USDT', 'USDC', 'ETH']</code>)<br><br><strong>支援的貨幣</strong>：僅限 <code>USDT</code>、<code>USDC</code>、<code>ETH</code>、<code>TRX</code>。</td></tr><tr><td>networks</td><td><a href="/pages/c35iHMSo4AboYEnSSpOA">NetworkSymbol</a>[]</td><td>否</td><td>要顯示的網絡陣列</td></tr><tr><td>redirectUrl</td><td>string</td><td>否</td><td>用戶存款後的重定向網址</td></tr></tbody></table>

回應：

```reason
{
  "url": "string"
}

```

### <mark style="color:blue;">以要求的值取得存款 URL (Get Deposit URL With Requested Value)</mark>

端點： `POST /getDepositUrlWithRequestedValue`

說明： 擷取具有要求值的存款頁面 URL。與要求值匹配的第一筆存款會觸發 `referenceId`。其他存款會觸發不含 `referenceId` 的回調。

請求參數：

<table><thead><tr><th width="172.67578125">參數</th><th width="171.3828125">類別</th><th width="72.86328125">需要</th><th>說明</th></tr></thead><tbody><tr><td>identifier</td><td>string</td><td>是</td><td>UserID 或類似識別碼 (identifier)</td></tr><tr><td>referenceId</td><td>string</td><td>是</td><td>可選的參考 ID 用於識別存款訂單</td></tr><tr><td>requestedCurrency</td><td><a href="/pages/c35iHMSo4AboYEnSSpOA#huo-bi">Currency</a></td><td>是</td><td>要顯示的貨幣陣列（例如，<code>USDT</code>，<code>USDC</code>，<code>USD</code>)</td></tr><tr><td>requestedAmount</td><td>string</td><td>是</td><td>要求的金額（以字串形式，以避免精確度問題）</td></tr><tr><td>receiveCurrencies</td><td><a href="/pages/c35iHMSo4AboYEnSSpOA#huo-bi">Currency</a>[]</td><td>否</td><td>要顯示的貨幣陣列（例如，<code>['USDT', 'USDC', 'ETH']</code>)<br><br>支持的货币：仅限 <code>USDT</code>、<code>USDC</code>、<code>ETH</code>、<code>TRX</code>。</td></tr><tr><td>networks</td><td><a href="/pages/c35iHMSo4AboYEnSSpOA">NetworkSymbol</a>[]</td><td>否</td><td>要顯示的網絡陣列</td></tr><tr><td>markupPercentage</td><td>number</td><td>否</td><td>適用於匯率的加價百分比 (最小: -100, 最大: 100)</td></tr><tr><td>redirectUrl</td><td>string</td><td>否</td><td>用戶存款後的重定向網址</td></tr></tbody></table>

回應：

```json
{
  "url": "string"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akashicpay.com/traditional-chinese/secureapi/han-shi-functions/cun-kuan-url.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
